/*
 * TrkSaturationCut.cpp
 *
 *  Created on: 31/ago/2009
 *      Author: Nicola Mori
 */

/*! @file TrkSaturationCut.cpp The TrkSaturationCut class implementation file. */

#include "TrkSaturationCut.h"

int TrkSaturationCut::Check(PamLevel2 *event) {

  static bool sat;
  sat = false;
  for (unsigned int ip = 0; ip < 6; ip++) {
    if (event->GetTrack(0)->GetTrkTrack()->IsSaturated(ip)) {
      if (_discardSaturated)
        return 0;
      sat = true;
      break;
    }
  }

  if (!_discardSaturated && !sat)
    return 0;

  return CUTOK;
}
